version: v1

description: |
  This test check on how model knows specific styles, or, rather, 'cores'
  such as 'steamcore' or 'dieselcore' or 'cosmocore'.
  It generates next templates:
  1. a landscape in {core name} style - one image in landscape mode.
  2. a portrait in {core name} style - one image in portrait mode.
  ---
  Requires next variables:
  * POSITIVE_PROMPT
  * NEGATIVE_PROMPT
  * IMAGE_WIDTH
  * IMAGE_HEIGHT
  * SEED
  ---
  All other things must be provided by Playbook.

root:
  children:
    style_cores_test:
      vars:
        IMAGE_WIDTH: 768
        IMAGE_HEIGHT: 768
        NEGATIVE_PROMPT: explicit
      items:
        angelcore_landscape2:
          POSITIVE_PROMPT: a landscape in angelcore style
          IMAGE_HEIGHT: 640
        aquacore_landscape2:
          POSITIVE_PROMPT: a landscape in aquacore style
          IMAGE_HEIGHT: 640
        arcanecore_landscape2:
          POSITIVE_PROMPT: a landscape in arcanecore style
          IMAGE_HEIGHT: 640
        astrocore_landscape2:
          POSITIVE_PROMPT: a landscape in astrocore style
          IMAGE_HEIGHT: 640
        atomcore_landscape2:
          POSITIVE_PROMPT: a landscape in atomcore style
          IMAGE_HEIGHT: 640
        biocore_landscape2:
          POSITIVE_PROMPT: a landscape in biocore style
          IMAGE_HEIGHT: 640
        bloodcore_landscape2:
          POSITIVE_PROMPT: a landscape in bloodcore style
          IMAGE_HEIGHT: 640
        bubblecore_landscape2:
          POSITIVE_PROMPT: a landscape in bubblecore style
          IMAGE_HEIGHT: 640
        clockcore_landscape2:
          POSITIVE_PROMPT: a landscape in clockcore style
          IMAGE_HEIGHT: 640
        cryocore_landscape2:
          POSITIVE_PROMPT: a landscape in cryocore style
          IMAGE_HEIGHT: 640
        crystalcore_landscape2:
          POSITIVE_PROMPT: a landscape in crystalcore style
          IMAGE_HEIGHT: 640
        cybercore_landscape2:
          POSITIVE_PROMPT: a landscape in cybercore style
          IMAGE_HEIGHT: 640
        dieselcore_landscape2:
          POSITIVE_PROMPT: a landscape in dieselcore style
          IMAGE_HEIGHT: 640
        dragoncore_landscape2:
          POSITIVE_PROMPT: a landscape in dragoncore style
          IMAGE_HEIGHT: 640
        etherialcore_landscape2:
          POSITIVE_PROMPT: a landscape in etherialcore style
          IMAGE_HEIGHT: 640
        fairycore_landscape2:
          POSITIVE_PROMPT: a landscape in fairycore style
          IMAGE_HEIGHT: 640
        fantasycore_landscape2:
          POSITIVE_PROMPT: a landscape in fantasycore style
          IMAGE_HEIGHT: 640
        flowercore_landscape2:
          POSITIVE_PROMPT: a landscape in flowercore style
          IMAGE_HEIGHT: 640
        forestcore_landscape2:
          POSITIVE_PROMPT: a landscape in forestcore style
          IMAGE_HEIGHT: 640
        formicacore_landscape2:
          POSITIVE_PROMPT: a landscape in formicacore style
          IMAGE_HEIGHT: 640
        futurecore_landscape2:
          POSITIVE_PROMPT: a landscape in futurecore style
          IMAGE_HEIGHT: 640
        gamercore_landscape2:
          POSITIVE_PROMPT: a landscape in gamercore style
          IMAGE_HEIGHT: 640
        glasscore_landscape2:
          POSITIVE_PROMPT: a landscape in glasscore style
          IMAGE_HEIGHT: 640
        gothiccore_landscape2:
          POSITIVE_PROMPT: a landscape in gothiccore style
          IMAGE_HEIGHT: 640
        ninjacore_landscape2:
          POSITIVE_PROMPT: a landscape in ninjacore style
          IMAGE_HEIGHT: 640
        postcybercore_landscape2:
          POSITIVE_PROMPT: a landscape in postcybercore style
          IMAGE_HEIGHT: 640
        pyrocore_landscape2:
          POSITIVE_PROMPT: a landscape in pyrocore style
          IMAGE_HEIGHT: 640
        rainbowcore_landscape2:
          POSITIVE_PROMPT: a landscape in rainbowcore style
          IMAGE_HEIGHT: 640
        ravecore_landscape2:
          POSITIVE_PROMPT: a landscape in ravecore style
          IMAGE_HEIGHT: 640
        robocore_landscape2:
          POSITIVE_PROMPT: a landscape in robocore style
          IMAGE_HEIGHT: 640
        steamcore_landscape2:
          POSITIVE_PROMPT: a landscape in steamcore style
          IMAGE_HEIGHT: 640
        stonecore_landscape2:
          POSITIVE_PROMPT: a landscape in stonecore style
          IMAGE_HEIGHT: 640
        synthcore_landscape2:
          POSITIVE_PROMPT: a landscape in synthcore style
          IMAGE_HEIGHT: 640
        trancecore_landscape2:
          POSITIVE_PROMPT: a landscape in trancecore style
          IMAGE_HEIGHT: 640
        tribalcore_landscape2:
          POSITIVE_PROMPT: a landscape in tribalcore style
          IMAGE_HEIGHT: 640
        vampirecore_landscape2:
          POSITIVE_PROMPT: a landscape in vampirecore style
          IMAGE_HEIGHT: 640
        witchcore_landscape2:
          POSITIVE_PROMPT: a landscape in witchcore style
          IMAGE_HEIGHT: 640
        angelcore_portrait2:
          POSITIVE_PROMPT: a portrait in angelcore style
          IMAGE_WIDTH: 640
        aquacore_portrait2:
          POSITIVE_PROMPT: a portrait in aquacore style
          IMAGE_WIDTH: 640
        arcanecore_portrait2:
          POSITIVE_PROMPT: a portrait in arcanecore style
          IMAGE_WIDTH: 640
        astrocore_portrait2:
          POSITIVE_PROMPT: a portrait in astrocore style
          IMAGE_WIDTH: 640
        atomcore_portrait2:
          POSITIVE_PROMPT: a portrait in atomcore style
          IMAGE_WIDTH: 640
        biocore_portrait2:
          POSITIVE_PROMPT: a portrait in biocore style
          IMAGE_WIDTH: 640
        bloodcore_portrait2:
          POSITIVE_PROMPT: a portrait in bloodcore style
          IMAGE_WIDTH: 640
        bubblecore_portrait2:
          POSITIVE_PROMPT: a portrait in bubblecore style
          IMAGE_WIDTH: 640
        clockcore_portrait2:
          POSITIVE_PROMPT: a portrait in clockcore style
          IMAGE_WIDTH: 640
        cryocore_portrait2:
          POSITIVE_PROMPT: a portrait in cryocore style
          IMAGE_WIDTH: 640
        crystalcore_portrait2:
          POSITIVE_PROMPT: a portrait in crystalcore style
          IMAGE_WIDTH: 640
        cybercore_portrait2:
          POSITIVE_PROMPT: a portrait in cybercore style
          IMAGE_WIDTH: 640
        dieselcore_portrait2:
          POSITIVE_PROMPT: a portrait in dieselcore style
          IMAGE_WIDTH: 640
        dragoncore_portrait2:
          POSITIVE_PROMPT: a portrait in dragoncore style
          IMAGE_WIDTH: 640
        etherialcore_portrait2:
          POSITIVE_PROMPT: a portrait in etherialcore style
          IMAGE_WIDTH: 640
        fairycore_portrait2:
          POSITIVE_PROMPT: a portrait in fairycore style
          IMAGE_WIDTH: 640
        fantasycore_portrait2:
          POSITIVE_PROMPT: a portrait in fantasycore style
          IMAGE_WIDTH: 640
        flowercore_portrait2:
          POSITIVE_PROMPT: a portrait in flowercore style
          IMAGE_WIDTH: 640
        forestcore_portrait2:
          POSITIVE_PROMPT: a portrait in forestcore style
          IMAGE_WIDTH: 640
        formicacore_portrait2:
          POSITIVE_PROMPT: a portrait in formicacore style
          IMAGE_WIDTH: 640
        futurecore_portrait2:
          POSITIVE_PROMPT: a portrait in futurecore style
          IMAGE_WIDTH: 640
        gamercore_portrait2:
          POSITIVE_PROMPT: a portrait in gamercore style
          IMAGE_WIDTH: 640
        glasscore_portrait2:
          POSITIVE_PROMPT: a portrait in glasscore style
          IMAGE_WIDTH: 640
        gothiccore_portrait2:
          POSITIVE_PROMPT: a portrait in gothiccore style
          IMAGE_WIDTH: 640
        ninjacore_portrait2:
          POSITIVE_PROMPT: a portrait in ninjacore style
          IMAGE_WIDTH: 640
        postcybercore_portrait2:
          POSITIVE_PROMPT: a portrait in postcybercore style
          IMAGE_WIDTH: 640
        pyrocore_portrait2:
          POSITIVE_PROMPT: a portrait in pyrocore style
          IMAGE_WIDTH: 640
        rainbowcore_portrait2:
          POSITIVE_PROMPT: a portrait in rainbowcore style
          IMAGE_WIDTH: 640
        ravecore_portrait2:
          POSITIVE_PROMPT: a portrait in ravecore style
          IMAGE_WIDTH: 640
        robocore_portrait2:
          POSITIVE_PROMPT: a portrait in robocore style
          IMAGE_WIDTH: 640
        steamcore_portrait2:
          POSITIVE_PROMPT: a portrait in steamcore style
          IMAGE_WIDTH: 640
        stonecore_portrait2:
          POSITIVE_PROMPT: a portrait in stonecore style
          IMAGE_WIDTH: 640
        synthcore_portrait2:
          POSITIVE_PROMPT: a portrait in synthcore style
          IMAGE_WIDTH: 640
        trancecore_portrait2:
          POSITIVE_PROMPT: a portrait in trancecore style
          IMAGE_WIDTH: 640
        tribalcore_portrait2:
          POSITIVE_PROMPT: a portrait in tribalcore style
          IMAGE_WIDTH: 640
        vampirecore_portrait2:
          POSITIVE_PROMPT: a portrait in vampirecore style
          IMAGE_WIDTH: 640
        witchcore_portrait2:
          POSITIVE_PROMPT: a portrait in witchcore style
          IMAGE_WIDTH: 640
